SC_READ_BINARY(3)

NAME
sc_read_binary - Read a file

SYNOPSIS

    #include <opensc.h>
    int sc_read_binary(struct sc_card *card, unsigned int offset,
                       unsigned char *buf, size_t count,
                       unsigned long flags);

DESCRIPTION

This function reads from a transparent elementary file (EF) on card. It corresponds to the ISO 7816 READ BINARY function. Call sc_select_file() first to select the file to read from.

The data read from the file is stored in buf, which is count bytes long.

The offset argument specifies the file offset in bytes. The flags argument is currently not used, and should be set to 0.

RETURN VALUE

If successful, the number of bytes read is returned. Otherwise, a negative value is returned.